Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.encoding.soapenc
Class BeanSerializer

    java.lang.Object
      |
      +--org.apache.soap.encoding.soapenc.BeanSerializer

All Implemented Interfaces:
  Deserializer, Serializer

public class BeanSerializer
extends java.lang.Object
implements Serializer, Deserializer

A `BeanSerializer` can be used to serialize and deserialize JavaBeans using the `SOAP-ENC` encoding style. The public properties of the bean become named accessors.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Scott Nichol (snichol@computer.org)

Constructor Summary
`BeanSerializer()`

Method Summary
`protected java.lang.reflect.Method` | `getWriteMethod(java.lang.String propertyName, java.beans.PropertyDescriptor[] pds, java.lang.Class javaType)`
`void` | `marshall(java.lang.String inScopeEncStyle, java.lang.Class javaType, java.lang.Object src, java.lang.Object context, java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`Bean` | `unmarshall(java.lang.String inScopeEncStyle, QName elementType, org.w3c.dom.Node src, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanSerializer

    public BeanSerializer()

Method Detail

### marshall

    public void marshall(java.lang.String inScopeEncStyle,
                         java.lang.Class javaType,
                         java.lang.Object src,
                         java.lang.Object context,
                         java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

  Specified by:
    `marshall` in interface `Serializer`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public Bean unmarshall(java.lang.String inScopeEncStyle,
    QName elementType,
                           org.w3c.dom.Node src,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                    throws java.lang.IllegalArgumentException

  Specified by:
    `unmarshall` in interface `Deserializer`
    `java.lang.IllegalArgumentException`

### getWriteMethod

    protected java.lang.reflect.Method getWriteMethod(java.lang.String propertyName,
                                                      java.beans.PropertyDescriptor[] pds,
                                                      java.lang.Class javaType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.